API referenceAccount
`POST /account/mfa/totp-enrolments` — verify a code, turn TOTP on and record it.
POST
/account/mfa/totp-enrolmentsRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
POST /account/mfa/totp-enrolments.
Response Body
application/json
curl -X POST "https://example.com/account/mfa/totp-enrolments" \ -H "Content-Type: application/json" \ -d '{ "access_token": "string", "code": "string" }'{ "totp_enrolled": true, "webauthn_credentials": [ { "authenticator_attachment": "string", "created_at": "string", "credential_id": "string", "friendly_name": "string", "transports": [ "string" ] } ]}`POST /account/mfa/totp-associations` — begin TOTP enrolment; answers the shared secret. While no factor is recorded it needs the emailed setup token as well as the step-up token — a password alone never enrols a factor. POST
Previous Page
`POST /account/mfa/totp-removals` — turn TOTP off and unrecord it. POST
Next Page